Bug 865694 - yum-security man page has errors
yum-security man page has errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-utils (Show other bugs)
6.3
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Valentina Mukhamedzhanova
Eva Mrakova
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 03:22 EDT by Karel Srot
Modified: 2016-05-10 17:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: yum-utils-1.1.30-33.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-10 17:31:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum-security.8 update plus display enhancement (2.28 KB, patch)
2014-06-18 03:40 EDT, Jan Chaloupka
no flags Details | Diff

  None (edit)
Description Karel Srot 2012-10-12 03:22:44 EDT
Description of problem:

There are some errors in yum-security man page. 

* Description for "list" command is listed twice
* Description for the "summary" command is missing
* 3 possible use cases for updateinfo are listed
        yum updateinfo info
        yum updateinfo list
        yum updateinfo summary
  It should be mentioned that "yum updateinfo" is working too, i.e. that the "summary" is the default.

* There should be one blank before "yum updateinfo list", now it looks like the description of "yum update-minimal" belongs to the "yum updateinfo" command. See below:

       added yum commands are:
        yum update-minimal

       This works like the update command, but if you have the the package foo-1 installed and have
       foo-2  and foo-3 available with updateinfo.xml then update-minimal will update you to foo-3.
        yum updateinfo info
        yum updateinfo list
        yum updateinfo summary




Package version:
yum-utils-1.1.30-14.el6
Comment 2 RHEL Product and Program Management 2013-10-13 20:22:53 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jan Chaloupka 2014-06-18 03:40:19 EDT
Created attachment 909871 [details]
yum-security.8 update plus display enhancement

> * Description for the "summary" command is missing
$ yum --security summary
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
No such command: summary. Please use /usr/bin/yum --help

$ /usr/bin/yum --help | grep summary | wc -l
0

- list removed
- yum updateinfo added
- some rearranging and display enhancement of lines
Comment 4 Jan Chaloupka 2014-06-18 03:40:55 EDT
Added yum commands are:
            yum update-minimal
                   This  works like the update command, but if you have the the package foo-1 installed and have foo-2 and foo-3 available with updateinfo.xml then update-
                   minimal will update you to foo-3.

            yum updateinfo info <sub-command>

            yum updateinfo list <sub-command>

            yum updateinfo summary <sub-command>

            yum updateinfo <sub-command>
                   Defaults to yum updateinfo summary

       where <sub-command> is:
            yum updateinfo * all
            yum updateinfo * available
            yum updateinfo * installed
            yum updateinfo * updates
Comment 5 Jan Chaloupka 2014-06-18 03:43:20 EDT
yum --security summary is missing, was it removed? The rest of the changes, is it ok fo you?
Comment 6 Karel Srot 2014-06-18 15:39:53 EDT
(In reply to Jan Chaloupka from comment #5)
> yum --security summary is missing, was it removed? The rest of the changes,
> is it ok fo you?

This is documented in man yum-security which is provided by yum-plugin-security.
Comment 8 Karel Srot 2014-06-19 03:03:35 EDT
Hi Jan, I am sorry, I misunderstood your comment.

What I mean by 

> * Description for the "summary" command is missing

is that the "summary" is not documented in the Description section, beside "info" and "list" and other commands/options. It is only mentioned in "yum updateinfo summary" without further explanation and in examples.

$ yum --security summary

This is of course wrong. Must be run as "yum updateinfo summary".
Comment 9 Jan Chaloupka 2014-06-19 05:03:54 EDT
Karel, I should have been more verbose. Thank you for explanation.

Using the grep output, summary could be commented as:

summary
        Is used to get a summary of advisories not yet installed.

James, what do you think?
Comment 10 Karel Srot 2014-06-19 07:02:32 EDT
Hi Jan, 
summary is not specific for installed advisories. Commands info/list/summary can be provided with subcommands all/available/installed/updates. Therefore I would propose to make the "summary" description similar to the current description of "info" and "list" commands.

E.g.
summary   Is  used  to show the summary of errata notice information, from the updateinfo.xml data in yum. This includes bugzillas, CVEs, security updates and new.
Comment 19 errata-xmlrpc 2016-05-10 17:31:02 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0837.html

Note You need to log in before you can comment on or make changes to this bug.